org.apache.ignite.internal.processors.cache.query

## Interface CacheQueryCloseableScanBiPredicate<K,V>

All Superinterfaces:
  IgniteBiPredicate<K,V>, Serializable

    public interface CacheQueryCloseableScanBiPredicate<K,V>
    extends IgniteBiPredicate<K,V>

Special version of bi-predicate for cache scan queries with close callback.

### Method Summary

Methods
`void` `onClose()` Callback invoked when predicate is not longer needed.

### Methods inherited from interface org.apache.ignite.lang.IgniteBiPredicate

`apply`

### Method Detail

#### onClose

    void onClose()

Callback invoked when predicate is not longer needed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015